/**
 * @internal
 */
export declare class SymbolSet {
    private symbolSetCollection;
    constructor();
    /**
     * @internal
     */
    add(newSymbol: string): void;
    /**
     * @internal
     */
    merge(symSet: SymbolSet): void;
    /**
     * @internal
     */
    copy(): SymbolSet;
    /**
     * @internal
     */
    get size(): number;
    [Symbol.iterator](): IterableIterator<string>;
}
